Summary: Base files for localization
Name: locales
%define ver 1.1
Version: %{ver}
Release: 7
Copyright: GPL
Group: Base
Source0: en_DK@euro
Source1: bogus-ja-locale
Source2: ar_EG
Source3: ca_ES
Source4: bogus-zh.GB2312-locale
Source5: bogus-zh.BIG5-locale
Source6: gl_ES
Source7: vi_VN
# th_TH (not sure about LC_COLLATE)
Source8: th_TH
# lo_LA incomplete (allmost anything)
Source9: lo_LA
Source10: eu_ES
Source11: sr_YU
Source12: sr_YU.ISO-8859-2
Source13: eo_XX
Source14: in_ID
Source15: hu_HU
Source16: br_FR
Source17: es@tradicional
Source18: sk_SK
Source19: hr_HR
Source20: hy_AM
Source21: wa_BE
#Source22: locales-X11-vi_VN.tar
Source23: locales-X11-th_TH.tar
Source24: TIS-620
Source25: ISO-8859-15
Source26: VISCII
Source27: TCVN
Source28: CP1133
Source29: MULELAO-1
Source30: ARMSCII-8
BuildArchitectures: noarch
# to build this package glibc is needed (for locales definitions)
PreReq: glibc
# no need to check for dependencies when building, there is no executables here
AutoReqProv: no
BuildRoot: /tmp/locales-root
Icon: bulle-blank.xpm

%description
These are the base files for language localization.
You also need to install the specific locales-?? for the
language(s) you want. Then the user need to set the
LANG variable to their preferred language in their
~/.profile configuration file.

%build
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/vi_VN
mv /usr/share/locale /usr/share/locale_bak
mkdir -p $RPM_BUILD_ROOT/usr/share/locale
ln -s $RPM_BUILD_ROOT/usr/share/locale /usr/share/locale

mkdir .work ; cd .work

# languages which have only one locale; use the language name as locale
# name for them; that makes the localization far easier
for i in ar_EG br_FR ca_ES cs_CZ da_DK eo_XX et_EE eu_ES fi_FI \
	 fo_FO ga_IE gl_ES gr_GR hr_HR hu_HU hy_AM in_ID is_IS \
	 it_IT iw_IL ja_JP kl_GL lo_LA lt_LT lv_LV no_NO pl_PL \
	 ro_RO ru_RU sl_SI sk_SK sr_YU th_TH tr_TR vi_VN wa_BE \
	 zh_CN zh_TW es@tradicional
do
	if [ -r /usr/share/i18n/locales/$i ]; then
		DEF_LOCALE_FILE=/usr/share/i18n/locales/$i
	else
		DEF_LOCALE_FILE=$RPM_SOURCE_DIR/$i
		cp $RPM_SOURCE_DIR/$i .
	fi
	DEF_CHARSET=`grep '%% Charset:' $DEF_LOCALE_FILE | \
		cut -d' ' -f3 | cut -d':' -f1 | tr '_' '-'`
	if [ "$DEF_CHARSET" = "X0201" ]; then DEF_CHARSET=JIS_X0201 ; fi
	if [ "$DEF_CHARSET" = "GB-2312-80" ]; then DEF_CHARSET=GB_1988-80 ; fi
	if [ "$DEF_CHARSET" = "BALTIC" ]; then DEF_CHARSET=ISO-8859-4 ; fi
	DEF_LOCALE=`basename $i`
	if [ "$DEF_LOCALE" = "es@tradicional" ]; then
		DEF_LANG=$DEF_LOCALE
	else
		DEF_LANG=`echo $DEF_LOCALE | cut -b-2`
	fi
	# language code for greek is "el" not "gr"
	if [ "$DEF_LANG" = "gr" ]; then DEF_LANG=el ; fi
	# if some locale returns a non 0 return code it isn't important
	localedef -c -f $DEF_CHARSET -i $DEF_LOCALE $DEF_LANG || \
		case "$DEF_LOCALE" in
		ja_JP) localedef -c -f ISO-8859-1 -i $RPM_SOURCE_DIR/bogus-ja-locale $DEF_LANG || :
			;;
		zh_CN) localedef -c -f ISO-8859-1 -i $RPM_SOURCE_DIR/bogus-zh.GB2312-locale $DEF_LOCALE || :
			localedef -c -f ISO-8859-1 -i $RPM_SOURCE_DIR/bogus-zh.GB2312-locale $DEF_LOCALE.GB2312 || :
			;;
		zh_TW) localedef -c -f ISO-8859-1 -i $RPM_SOURCE_DIR/bogus-zh.BIG5-locale $DEF_LOCALE || :
			localedef -c -f ISO-8859-1 -i $RPM_SOURCE_DIR/bogus-zh.BIG5-locale $DEF_LOCALE.BIG5 || :
			;;
		*)  :
			;;
		esac
done

# Russian uses koi8-r by default, iso-8859-5 is a second choice
localedef -c -f KOI8-R     -i ru_RU ru_RU || :
localedef -c -f KOI8-R     -i ru_RU ru_RU.KOI8-R || :
localedef -c -f ISO-8859-5 -i ru_RU ru_RU.ISO-8859-5 || :

# Serbian uses cyrillic by default, iso-8859-2 as a second choice
localedef -c -f ISO-8859-5 -i sr_YU            sr_YU || :
localedef -c -f ISO-8859-5 -i sr_YU            sr_YU.ISO-8859-5 || :
localedef -c -f ISO-8859-2 -i sr_YU.ISO-8859-2 sr_YU.ISO-8859-2 || :

# Vietnamese use TCVN encoding in Vietnam
localedef -c -f TCVN	-i vi_VN vi_VN || :
localedef -c -f VISCII	-i vi_VN vi_VN.VISCII || :
localedef -c -f TCVN	-i vi_VN vi_VN.TCVN || :

# laotian (which encoding should be by default ?)
#localedef -c -f ????     -i lo_LA lo_LA || :
localedef -c -f CP1133    -i lo_LA lo_LA.CP1133 || :
localedef -c -f MULELAO-1 -i lo_LA lo_LA.MULELAO-1 || :

# create the japanese locales ja_JP.*
cp -var $RPM_BUILD_ROOT/usr/share/locale/ja $RPM_BUILD_ROOT/usr/share/locale/ja_JP.ujis

# languages which have several locales
for i in /usr/share/i18n/locales/de_?? /usr/share/i18n/locales/en_?? \
	 /usr/share/i18n/locales/es_?? \
	 /usr/share/i18n/locales/fr_?? /usr/share/i18n/locales/nl_?? \
	 /usr/share/i18n/locales/pt_?? /usr/share/i18n/locales/sv_??
do
	DEF_CHARSET=`grep '%% Charset:' $i | cut -d' ' -f3 | cut -d':' -f1 | tr '_' '-'`
	DEF_LOCALE=`basename $i`
	DEF_LANG=`echo $DEF_LOCALE | cut -b-2`
	# if some locale returns a non 0 return code it isn't important
	localedef -c -f $DEF_CHARSET -i $DEF_LOCALE $DEF_LOCALE || :
done

# create the default locales for languages whith multiple locales
localedef -c -f ISO-8859-1 -i de_DE de
localedef -c -f ISO-8859-1 -i en_US en
localedef -c -f ISO-8859-1 -i es_ES es
localedef -c -f ISO-8859-1 -i fr_FR fr
localedef -c -f ISO-8859-1 -i nl_NL nl
localedef -c -f ISO-8859-1 -i pt_PT pt
localedef -c -f ISO-8859-1 -i sv_SE sv

# locales using ISO-8859-15 and euro symbol for european union countries
# (Greece doesn't use latin alphabet, so no iso-8859-15)
cp $RPM_SOURCE_DIR/en_DK@euro .
for i in es_ES en_IE en_GB nl_BE nl_NL pt_PT \
         /usr/share/i18n/locales/de_?? /usr/share/i18n/locales/fr_?? \
         /usr/share/i18n/locales/sv_??
do
	if [ -r $i ]; then
		DEF_LOCALE_FILE=$i
        elif [ -r /usr/share/i18n/locales/$i ]; then
                DEF_LOCALE_FILE=/usr/share/i18n/locales/$i
        else
                DEF_LOCALE_FILE=$RPM_SOURCE_DIR/`basename $i`
        fi
	DEF_LANG=`basename $i`@euro
	DEF_LOCALE=`basename $i`@euro
	cat $DEF_LOCALE_FILE | \
		sed 's/^int_curr_symbol.*$/int_curr_symbol "<E><U><R><SP>"/' | \
		sed 's/^currency_symbol.*$/currency_symbol "<Eu>"/' | \
		sed 's/"en_DK"/"en_DK@euro"/' | \
		sed 's/<Cu>/<Eu>/g' > $DEF_LOCALE
        DEF_CHARSET=ISO-8859-15
	localedef -c -f $DEF_CHARSET -i $DEF_LOCALE $DEF_LANG || :
done
for i in br_FR ca_ES da_DK eu_ES fi_FI ga_IE gl_ES is_IS it_IT no_NO wa_BE
do
	if [ -r /usr/share/i18n/locales/$i ]; then
  		DEF_LOCALE_FILE=/usr/share/i18n/locales/$i
	else
		DEF_LOCALE_FILE=$RPM_SOURCE_DIR/$i
	fi
	DEF_LANG=`basename $i | cut -d' ' -f1 | cut -b-2`@euro
	DEF_LOCALE=`basename $i`@euro
	cat $DEF_LOCALE_FILE | \
		sed 's/^int_curr_symbol.*$/int_curr_symbol "<E><U><R><SP>"/' | \
		sed 's/^currency_symbol.*$/currency_symbol "<Eu>"/' | \
		sed 's/"en_DK"/"en_DK@euro"/' | \
		sed 's/"fr_BE"/"fr_BE@euro"/' | \
		sed 's/<Cu>/<Eu>/g' > $DEF_LOCALE 
	DEF_CHARSET=ISO-8859-15
	localedef -c -f $DEF_CHARSET -i $DEF_LOCALE $DEF_LANG || :
done

# create the default locales for languages whith multiple locales
localedef -c -f ISO-8859-15 -i de_DE@euro de@euro || :
localedef -c -f ISO-8859-15 -i en_GB@euro en@euro || :
localedef -c -f ISO-8859-15 -i es_ES@euro es@euro || :
localedef -c -f ISO-8859-15 -i fr_FR@euro fr@euro || :
localedef -c -f ISO-8859-15 -i nl_NL@euro nl@euro || :
localedef -c -f ISO-8859-15 -i pt_PT@euro pt@euro || :
localedef -c -f ISO-8859-15 -i sv_SE@euro sv@euro || :

# for compatibility purposes (iso_8859_1 is used by SUNOS/Solaris on
# LC_CTYPE to augment LANG=C and old libc.so.4 used iso-8859-1 for LC_CTYPE
# as there ara a lot of docs and HOWTOs telling that I provide those 4
# pseudo locales that makes libc happy when provided a variable LC_CTYPE
# like iso_8859_* or iso-8859-1); also I can now create a base "locales"
# package that is almost language independent ;-)
localedef -c -f ISO-8859-1  -i en_DK      iso_8859    || :
localedef -c -f ISO-8859-1  -i en_DK	  ISO_8859    || :
localedef -c -f ISO-8859-1  -i en_DK      iso_8859-1  || :
localedef -c -f ISO-8859-1  -i en_DK      ISO_8859-1  || :
localedef -c -f ISO-8859-1  -i en_DK      iso-8859-1  || :
localedef -c -f ISO-8859-1  -i en_DK      ISO-8859-1  || :

rm /usr/share/locale
mv /usr/share/locale_bak /usr/share/locale

#tar xvf $RPM_SOURCE_DIR/locales-X11-vi_VN.tar -C $RPM_BUILD_ROOT/usr/X11R6/
tar xvf $RPM_SOURCE_DIR/locales-X11-th_TH.tar -C $RPM_BUILD_ROOT/usr/X11R6/

cd ..
rm -rf .work

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/share/locale/iso*
/usr/share/locale/ISO*

####################################################################
# The various localization packages.
#
# add one for each new language that is included in the future
# TODO: where to find the files for 16 bits languages (ko) ?
# TODO: someone to translate the Summary and descriptions ?
#       for the following languages: ar, br, da, el, et, fi, fo,
#	ga, in, is, it, iw, ja, kl, lo, lt, lv, nl, no, pt, ro,
#	ru, sk, sv, sr, th, zh_CN
# TODO: change description to 8bit for: pl 
# TODO: include new languages:
#     Korean `ko', Persian `fa', Telugu `te', Ukrainian `uk'. 
# TODO: correct/complete languages th, lo
####################################################################

### ar
%package -n locales-ar
Summary: Base files for localization (Arabic)
Group: Base
Icon: bulle-ar.xpm

%description -n locales-ar
These are the base files for Arabic language localization; you need
it to correctly display 8bits arabic characters, and for proper
alfabetical sorting and representation of dates and numbers according
to arabic language conventions.
Note that this package doesn't handle right-to-left and left-to-right
switching when displaying nor the isolate-initial-medial-final shapes
of letters; it is to the xterm, application or virtual console driver
to do that.

%files -n locales-ar
/usr/share/locale/ar*

### br
%package -n locales-br
Summary: Base files for localization (Breton)
Group: Base
Icon: bulle-br.xpm
Summary(fr): Fichiers de base pour la localisation en langue brtonne.

%description -n locales-br
These are the base files for Breton language localization; you need
it to correctly display 8bits Breton characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Breton language conventions.

%description -n locales-br -l fr
Ce paquet contient les dfinitions de locales en langue brtonne.
Il permet aux applications de savoir quels caractres sont affichables et
donc afficher correctemment les caractres accentus et l'ordre alphabetique;
il contient aussi les definitions des representations des dates et des nombres.

%files -n locales-br
/usr/share/locale/br*

### ca
%package -n locales-ca
Summary: Base files for localization (Catalan)
Group: Base
Icon: bulle-ca.xpm
Summary(ca): Arxius bsics per a l'adaptaci al catal
Summary(es): Archivos de base para la localizacin en idioma cataln
Summary(fr): Fichiers de base pour la localisation en langue catalane

%description -n locales-ca
These are the base files for Catalan language localization; you need
it to correctly display 8bits Catalan characters, and for proper
representation of dates, numbers and alphabetical order according to
Catalan language conventions

%description -n locales-ca -l ca
Aquests sn els arxius bsics per a l'adaptaci del sistema a les
peculiaritats de la llengua catalana; sn necessaris perqu les
vocals accentuades, la ce trencada, etc. apareguin correctament, i
perqu les dates, els nombres i l'ordre alfabtic s'adaptin a les
convencions de la dita llengua.

%description -n locales-ca -l es
Este paquete incluye las definiciones de locales para el cataln.
Este paquete contiene lo necesario para la visualisacin correcta de
los caracteres 8bits del cataln, para el orden alfabtico
y para la representacin correcta de los nmeros y fechas segn
las convenciones del cataln.

%description -n locales-ca -l fr
Ce paquet contient les dfinitions de locales en langue catalane.
Il permet aux applications de savoir quels caractres sont affichables et
donc afficher correctemment les caractres accentus et l'ordre alphabetique;
il contient aussi les definitions des representations des dates des nombres.

%post -n locales-ca
if grep ca_ES /usr/X11R6/lib/X11/locale/locale.alias ; then : ; else
   echo -e "ca\t\t\tca_ES.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.alias
   echo -e "ca_ES\t\t\tca_ES.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.alias
fi
if grep ca_ES /usr/X11R6/lib/X11/locale/locale.dir ; then : ; else
   echo -e "iso8859-1/XLC_LOCALE\tca_ES.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.dir
fi
if grep ca_ES /usr/X11R6/lib/X11/locale/compose.dir ; then : ; else
   echo -e "iso8859-1/Compose\tca_ES.ISO8859-1" >> /usr/X11R6/lib/X11/locale/compose.dir
fi

%files -n locales-ca
/usr/share/locale/ca*

### cs
# translation by <pavel@SnowWhite.inet.cz>
%package -n locales-cs
Summary: Base files for localization (Czech)
Group: Base
Icon: bulle-cs.xpm
Summary(cs): Zkladn soubory pro lokalizaci (etina)

%description -n locales-cs
These are the base files for Czech language localization; you need
it to correctly display 8bits Czech characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Czech language conventions.

%description -n locales-cs -l cs
Zde jsou soubory nutn pro sprvnou eskou lokalizaci; potebujete je
pro sprvn zobrazovn eskch 8bitovch znak a pro sprvn esk
tdn a rprezentaci data a sel podle eskch konvenc.

%files -n locales-cs
/usr/share/locale/cs*

### da
%package -n locales-da
Summary: Base files for localization (Danish)
Group: Base
Icon: bulle-da.xpm

%description -n locales-da
These are the base files for Danish language localization; you need
it to correctly display 8bits Danish characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Danish language conventions.

%files -n locales-da
/usr/share/locale/da*

### de
%package -n locales-de
Summary: Base files for localization (German)
Group: Base
Icon: bulle-de.xpm
Summary(fr): Fichiers de base pour la localisation en langue allemande
Summary(de): Basisdateien fr die Lokalisierung (deutsch)

%description -n locales-de
These are the base files for German language localization; you need
it to correctly display 8bits German characters, and for proper
alphabetical sorting and representation of dates and numbers according
to German language conventions.

%description -n locales-de -l fr
Ce paquet contient les dfinitions de locales en langue allemande.
Il permet aux applications de savoir quels caractres sont affichables et
donc afficher correctemment les caractres accentus et l'ordre alphabetique;
il contient aussi les definitions des representations des dates des nombres.

%description -n locales-de -l de
Dies sind die Basisdateien fr die deutsche Sprachanpassung; sie
werden fr die korrekte Darstellung deutscher 8-Bit-Zeichen,
die deutsche Sortierreihenfolge sowie Datums- und Zahlendarstellung
bentigt.

%files -n locales-de
/usr/share/locale/de*

### el
%package -n locales-el
Summary: Base files for localization (Greek)
Group: Base
Icon: bulle-el.xpm
Obsoletes: locales-gr
Provides: locales-gr

%description -n locales-el
These are the base files for Greek language localization; you need
it to correctly display 8bits Greek characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Greek language conventions.

%pre -n locales-el
if [ -L /usr/share/locale/gr ]; then
   rm /usr/share/locale/gr
fi
if [ -L /usr/share/locale/gr_GR ]; then
   rm /usr/share/locale/gr_GR
fi

%post -n locales-el
if [ ! -d /usr/share/locale/gr ]; then
   ln -s el /usr/share/locale/gr
fi
if grep el_GR /usr/X11R6/lib/X11/locale/locale.alias ; then : ; else
   echo -e "el\t\t\tel_GR.ISO8859-7" >> /usr/X11R6/lib/X11/locale/locale.alias
   echo -e "el_GR\t\t\tel_GR.ISO8859-7" >> /usr/X11R6/lib/X11/locale/locale.alias
   echo -e "gr\t\t\tel_GR.ISO8859-7" >> /usr/X11R6/lib/X11/locale/locale.alias
   echo -e "gr_GR\t\t\tel_GR.ISO8859-7" >> /usr/X11R6/lib/X11/locale/locale.alias
fi
if grep el_GR /usr/X11R6/lib/X11/locale/locale.dir ; then : ; else
   echo -e "iso8859-7/XLC_LOCALE\tel_GR.ISO8859-7" >> /usr/X11R6/lib/X11/locale/locale.dir
fi
if grep el_GR /usr/X11R6/lib/X11/locale/compose.dir ; then : ; else
   echo -e "iso8859-7/Compose\tel_GR.ISO8859-7" >> /usr/X11R6/lib/X11/locale/compose.dir
fi

%postun -n locales-el
if [ "$1" = "0" ]; then
   if [ -L /usr/share/locale/gr ]; then
      rm /usr/share/locale/gr
   fi
fi

%files -n locales-el
/usr/share/locale/el*

### en
%package -n locales-en
Summary: Base files for localization (English)
Group: Base
Icon: bulle-en.xpm

%description -n locales-en
These are the base files for English language localization.
Contains: en_CA en_DK en_GB en_IE en_US

%files -n locales-en
/usr/share/locale/en*

### eo
# translation by diestel@rzaix340.rz.uni-leipzig.de (Wolfram Diestel)
%package -n locales-eo
Summary: Base files for localization (Esperanto)
Group: Base
Icon: bulle-eo.xpm
Summary(eo): Bazaj dosieroj por lokao (Esperanto)

%description -n locales-eo
These are the base files for Esperanto language localization; you need
it to correctly display 8bits esperanto characters, and for proper
alphabetical sorting and representation of dates and numbers according
to esperanto language conventions.

%description -n locales-eo -l eo
Tiuj i estas la bazaj dosieroj por la esperantlingva lokao; vi bezonas
ilin por uste vidi 8-bitajn Esperanto-signojn kaj por usta
alfabeta ordo, datindikoj kaj nombroj konvene al la konvencioj
en esperanta medio.

%post -n locales-eo
if grep eo_XX /usr/X11R6/lib/X11/locale/locale.alias ; then : ; else
   echo -e "eo\t\t\teo_XX.ISO8859-3" >> /usr/X11R6/lib/X11/locale/locale.alias
   echo -e "eo_XX\t\t\teo_XX.ISO8859-3" >> /usr/X11R6/lib/X11/locale/locale.alias
fi
if grep eo_XX /usr/X11R6/lib/X11/locale/locale.dir ; then : ; else
   echo -e "iso8859-3/XLC_LOCALE\teo_XX.ISO8859-3" >> /usr/X11R6/lib/X11/locale/locale.dir
fi
if grep eo_XX /usr/X11R6/lib/X11/locale/compose.dir ; then : ; else
   echo -e "iso8859-3/Compose\teo_XX.ISO8859-3" >> /usr/X11R6/lib/X11/locale/compose.dir
fi

%files -n locales-eo
/usr/share/locale/eo*

### es
%package -n locales-es
Summary: Base files for localization (Spanish)
Group: Base
Icon: bulle-es.xpm
Summary(es): Ficheros de base para la localizacin (castellano)

%description -n locales-es
These are the base files for Spanish language localization; you need
it to correctly display 8bits spanish characters, and for proper
alphabetical sorting and representation of dates and numbers according
to spanish language conventions.

%description -n locales-es -l es
Este paquete incluye las definiciones de locales para el castellano.
Este paquete contiene lo necesario para la visualisacin correcta de
los caracteres 8bits del idioma espaol, para el orden alfabtico 
y para la representacin correcta de los nmeros y fechas segn 
las convenciones del castellano.

%files -n locales-es
/usr/share/locale/es*

### et
%package -n locales-et
Summary: Base files for localization (Estonian)
Group: Base
Icon: bulle-et.xpm
Requires: locales

%description -n locales-et
These are the base files for Estonian language localization; you need
it to correctly display 8bits Estonian characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Estonian language conventions.

%post -n locales-et
if grep et_EE /usr/X11R6/lib/X11/locale/locale.alias ; then : ; else
   echo -e "et\t\t\tet_EE.ISO8859-15" >> /usr/X11R6/lib/X11/locale/locale.alias
   echo -e "et_EE\t\t\tet_EE.ISO8859-15" >> /usr/X11R6/lib/X11/locale/locale.alias
fi
if grep et_EE /usr/X11R6/lib/X11/locale/locale.dir ; then : ; else
   echo -e "iso8859-15/XLC_LOCALE\tet_EE.ISO8859-15" >> /usr/X11R6/lib/X11/locale/locale.dir
fi
if grep et_EE /usr/X11R6/lib/X11/locale/compose.dir ; then : ; else
   echo -e "iso8859-15/Compose\tet_EE.ISO8859-15" >> /usr/X11R6/lib/X11/locale/compose.dir
fi

%files -n locales-et
/usr/share/locale/et*

### eu
%package -n locales-eu
Summary: Base files for localization (Basque)
Group: Base
Icon: bulle-eu.xpm
Summary(eu): Euskarazko egokitzapenerako oinarrizko artxiboak
Summary(es): Archivos de base para la localizacin en euskara
Summary(fr): Fichiers de base pour la localisation en euskara (langue basque)

%description -n locales-eu
Linux-ek euskaraz badaki !
These are the base files for Basque language localization; you need
it to correctly display 8bits Basque characters, and for proper
representation of dates and numbers according to Basque language
conventions.

%description -n locales-eu -l eu
Linux-ek euskaraz badaki !
Hauek dira euskarazko egokitzapenerako oinarrizko artxiboak; euskarazko
8 biteko karaktereak zuzen ikusi ahal izateko zein zenbakiak
eta datak euskararen arauen arabera era egokian agertarazteko behar dira.

%description -n locales-eu -l es
Linux-ek euskaraz badaki !
Este paquete incluye las definiciones de locales para el euskara.
Este paquete contiene lo necesario para la visualisacin correcta de
los caracteres 8bits del euskara, para el orden alfabtico
y para la representacin correcta de los nmeros y fechas segn
las convenciones del euskara.

%description -n locales-eu -l fr
Ce paquet contient les dfinitions de locales en euskara batua.
Il permet aux applications de savoir quels caractres sont affichables et
donc afficher correctemment les caractres accentus et l'ordre alphabetique;
il contient aussi les definitions des representations des dates des nombres.

%post -n locales-eu
if grep eu_ES /usr/X11R6/lib/X11/locale/locale.alias ; then : ; else
   echo -e "eu\t\t\teu_ES.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.alias
   echo -e "eu_ES\t\t\teu_ES.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.alias
fi
if grep eu_ES /usr/X11R6/lib/X11/locale/locale.dir ; then : ; else
   echo -e "iso8859-1/XLC_LOCALE\teu_ES.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.dir
fi
if grep eu_ES /usr/X11R6/lib/X11/locale/compose.dir ; then : ; else
   echo -e "iso8859-1/Compose\teu_ES.ISO8859-1" >> /usr/X11R6/lib/X11/locale/compose.dir
fi

%files -n locales-eu
/usr/share/locale/eu*

### fi
%package -n locales-fi
Summary: Base files for localization (Finnish)
Group: Base
Icon: bulle-fi.xpm

%description -n locales-fi
These are the base files for Finnish language localization; you need
it to correctly display 8bits Finnish characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Finnish language conventions.

%files -n locales-fi
/usr/share/locale/fi*

### fo
%package -n locales-fo
Summary: Base files for localization (Faroese)
Group: Base
Icon: bulle-fo.xpm

%description -n locales-fo
These are the base files for Faroese language localization; you need
it to correctly display 8bits Faroese characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Faroese language conventions.

%post -n locales-fo
if grep fo_FO /usr/X11R6/lib/X11/locale/locale.alias ; then : ; else
   echo -e "fo\t\t\tfo_FO.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.alias
   echo -e "fo_FO\t\t\tfo_FO.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.alias
fi
if grep fo_FO /usr/X11R6/lib/X11/locale/locale.dir ; then : ; else
   echo -e "iso8859-1/XLC_LOCALE\tfo_FO.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.dir
fi
if grep fo_FO /usr/X11R6/lib/X11/locale/compose.dir ; then : ; else
   echo -e "iso8859-1/Compose\tfo_FO.ISO8859-1" >> /usr/X11R6/lib/X11/locale/compose.dir
fi

%files -n locales-fo
/usr/share/locale/fo*

### fr
%package -n locales-fr
Summary: Base files for localization (French)
Group: Base
Icon: bulle-fr.xpm
Summary(fr): Fichiers de base pour la localisation (franais)
Summary(de): Basisdateien fr die Lokalisierung (Franzsisch)

%description -n locales-fr
These are the base files for French language localization; you need
it to correctly display 8bits french characters, and for proper
alfabetical sorting and representation of dates and numbers 
according to french language conventions.

%description -n locales-fr -l fr
Ce paquet contient les dfinitions de locales en langue franaise.
Il permet aux applications de savoir quels caractres sont affichables
et donc afficher correctemment les caractres accentus et l'ordre
alphabetique; il contient aussi les definitions des representations
des dates des nombres et des symboles montaires en Belgique, Canada,
Suisse, France et Luxembourg.

%description -n locales-fr -l de
Dies sind die Basisdateien fr die franzsische Sprachanpassung; sie
werden fr die korrekte Darstellung deutscher 8-Bit-Zeichen,
die franzsische Sortierreihenfolge sowie Datums- und Zahlendarstellung
bentigt.

%files -n locales-fr
/usr/share/locale/fr*

### ga
%package -n locales-ga
Summary: Base files for localization (Irish)
Group: Base
Icon: bulle-ga.xpm

%description -n locales-ga
These are the base files for Irish Gaelic language localization; you need
it to correctly display 8bits gaelic characters, and for proper
alphabetical sorting and representation of dates and numbers according
to gaelic language conventions.

%post -n locales-ga
if grep ga_IE /usr/X11R6/lib/X11/locale/locale.alias ; then : ; else
   echo -e "ga\t\t\tga_IE.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.alias
   echo -e "ga_IE\t\t\tga_IE.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.alias
fi
if grep ga_IE /usr/X11R6/lib/X11/locale/locale.dir ; then : ; else
   echo -e "iso8859-1/XLC_LOCALE\tga_IE.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.dir
fi
if grep ga_IE /usr/X11R6/lib/X11/locale/compose.dir ; then : ; else
   echo -e "iso8859-1/Compose\tga_IE.ISO8859-1" >> /usr/X11R6/lib/X11/locale/compose.dir
fi

%files -n locales-ga
/usr/share/locale/ga*

### gl
# translation from Emilio <nigrann@sandra.ctv.es>
%package -n locales-gl
Summary: Base files for localization (Galician)
Group: Base
Icon: bulle-gl.xpm
Summary(gl): Arquivos da base para definicin de locais para o galego.
Summary(es): Archivos de base para la localizacin en idioma gallego

%description -n locales-gl
These are the base files for Galician language localization; you need
it to correctly display 8bits Galician characters, and for proper
representation of dates and numbers according to Galician language
conventions.

%description -n locales-gl -l gl
Este paquete incle as definicins de locais para o galego. Este paquete
contn o preciso para a representacion correcta dos caracteres de 8 bits
da fala galega, dos nmeros e datas segundo as convencins do galego.

%description -n locales-gl -l es
Este paquete incluye las definiciones de locales para el gallego.
Este paquete contiene lo necesario para la visualisacin correcta de
los caracteres 8bits del gallego, para el orden alfabtico
y para la representacin correcta de los nmeros y fechas segn
las convenciones del gallego.

%post -n locales-gl
if grep gl_ES /usr/X11R6/lib/X11/locale/locale.alias ; then : ; else
   echo -e "gl\t\t\tgl_ES.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.alias
   echo -e "gl_ES\t\t\tgl_ES.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.alias
fi
if grep gl_ES /usr/X11R6/lib/X11/locale/locale.dir ; then : ; else
   echo -e "iso8859-1/XLC_LOCALE\tgl_ES.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.dir
fi
if grep gl_ES /usr/X11R6/lib/X11/locale/compose.dir ; then : ; else
   echo -e "iso8859-1/Compose\tgl_ES.ISO8859-1" >> /usr/X11R6/lib/X11/locale/compose.dir
fi

%files -n locales-gl
/usr/share/locale/gl*

### hr
# translations by Vedran Rodic <vrodic@udig.hr>
%package -n locales-hr
Summary: Base files for localization (Croatian)
Group: Base
Icon: bulle-hr.xpm
Summary(hr): Osnovne datoteke za lokalizaciju (Hrvatski)

%description -n locales-hr
These are the base files for Croatian language localization; you need
it to correctly display 8bits Croatian characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Croatian language conventions.

%description -n locales-hr -l hr
Ovo su osnovne datoteke za lokalizaciju na Hrvatski jezik; potrebne su
da bi se pravilno prikazali 8 bitni Hrvatski znakovi, za pravilno
sortiranje po abecedi i prikaz datuma i brojeva po pravilima
Hrvatskog jezika.

%files -n locales-hr
/usr/share/locale/hr*

### hu
%package -n locales-hu
Summary: Base files for localization (Hungarian)
Group: Base
Icon: bulle-hu.xpm
Summary(hu): Szksges fjlok a magyartshoz

%description -n locales-hu
These are the base files for Hungarian language localization.
You need it to correctly display sort, for sorting order and
proper representation of dates and numbers according 
to Hungarian language conventions.

%description -n locales-hu -l hu
Ezek a szksges fjlok a magyartshoz. Szksg van r a
magyar helyesrs szablyainak megfelel sorbarendezshez,
szmok s dtumok megjelentshez.

%files -n locales-hu
/usr/share/locale/hu*

### hy
# translations by Eugene Sevinian <sevinian@crdlx2.yerphi.am>
%package -n locales-hy
Summary: Base files for localization (Armenian)
Group: Base
Icon: bulle-hy.xpm
Summary(hy): ٩ г۳ٳ ݳϳ ûݻ ɻ

%description -n locales-hy
These are the base files for Armenian language localization.
You need it to correctly display 8bit Armenian chars, 
for sorting order and proper representation of dates and
numbers according to Armenian language conventions.

%description -n locales-hy -l hy
 ݻϳ۳  ѳ۳ٳ ݳϳ ûݻ ɻ
 Ż  ۳ݻ ߷ ٵٳ   
 Żݻ ߳ ݻϳٳ ѳٳ ѳٳӳ ѳ ɻ
ϳݻǣ

%files -n locales-hy
/usr/share/locale/hy*

### in
# translations by Mohammad DAMT <mdamt@cakraweb.com>
%package -n locales-in
Summary: Base files for localization (Indonesian)
Group: Base
Icon: bulle-in.xpm
Summary(in): File Utama untuk lokalisasi (dalam Bahasa Indonesia)

%description -n locales-in
These are the base files for Indonesian language localization.
You need it to correctly display sort, for proper representation
of dates and numbers according to Indonesian language conventions.

%description -n locales-in -l in
Ini adalah file untuk lokalisasi sistem ke dalam Bahasa Indonesia.
File ini dibutuhkan bila Anda ingin menampilkan tanggal dan penomoran
yang sesuai dengan kaidah Bahasa Indonesia.

%files -n locales-in
/usr/share/locale/in*

### is
%package -n locales-is
Summary: Base files for localization (Icelandic)
Group: Base
Icon: bulle-is.xpm

%description -n locales-is
These are the base files for Icelandic language localization; you need
it to correctly display 8bits Icelandic characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Icelandic language conventions.

%files -n locales-is
# I can't use /usr/share/locale/is* because of /usr/share/locale/iso_8859_1
/usr/share/locale/is
/usr/share/locale/is@euro

### it
%package -n locales-it
Summary: Base files for localization (Italian)
Group: Base
Icon: bulle-it.xpm

%description -n locales-it
These are the base files for Italian language localization; you need
it to correctly display 8bits Italian characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Italian language conventions.

%files -n locales-it
/usr/share/locale/it*

### iw
%package -n locales-iw
Summary: Base files for localization (Hebrew)
Group: Base
Icon: bulle-iw.xpm
Obsoletes: locales-he
Provides: locales-he

%description -n locales-iw
These are the base files for Hebrew language localization; you need
it to correctly display 8bits Hebrew characters, and for proper
alfabetical sorting, and representation of dates and numbers 
according to Hebrew language conventions.
Note that this package doesn't handle right-to-left and left-to-right
switching when displaying; it is to the xterm, application or virtual
console driver to do that.

%pre -n locales-iw
if [ -L /usr/share/locale/he ]; then
   rm /usr/share/locale/he
fi
if [ -L /usr/share/locale/he_IL ]; then
   rm /usr/share/locale/he_IL
fi

%postun -n locales-iw
if [ "$1" = "0" ]; then
   if [ -L /usr/share/locale/he ]; then
      rm /usr/share/locale/he
   fi
fi

%files -n locales-iw
/usr/share/locale/iw*

### ja
%package -n locales-ja
Summary: Base files for localization (Japanese)
Group: Base
Icon: bulle-ja.xpm

%description -n locales-ja
These are the base files for Japanese language localization; you need
it to correctly display 8bits and 7bits japanese codes, and for proper
representation of dates and numbers according to japanese language conventions.
Note however that this locale definition is not totally right; as I've been
unable to use 16bit characters definitions; I cheated a little to make
it work.

%pre -n locales-ja
if [ -L /usr/share/locale/ja ]; then
   mv /usr/share/locale/ja /usr/share/locale/ja.tmp
   mkdir -p /usr/share/locale/ja/LC_MESSAGES
   mv /usr/share/locale/ja.tmp/LC_MESSAGES/* /usr/share/locale/ja/LC_MESSAGES
   rm /usr/share/locale/ja.tmp
fi
if [ -L /usr/share/locale/ja_JP.ujis ]; then
   rm /usr/share/locale/ja_JP.ujis
fi

%post -n locales-ja
if [ ! -d /usr/share/locale/ja_JP.euc ]; then
   ln -s ja_JP.ujis /usr/share/locale/ja_JP.euc
fi
if [ ! -d /usr/share/locale/ja_JP.eucjp ]; then
   ln -s ja_JP.ujis /usr/share/locale/ja_JP.eucjp
fi

%postun -n locales-ja
if [ "$1" = "0" ]; then
   if [ -L /usr/share/locale/ja_JP.ujis ]; then
      rm /usr/share/locale/ja_JP.ujis
   fi
   if [ -L /usr/share/locale/ja_JP.eucjp ]; then
      rm /usr/share/locale/ja_JP.eucjp
   fi
   if [ -L /usr/share/locale/ja_JP.euc ]; then
      rm /usr/share/locale/ja_JP.euc
   fi
   if [ -L /usr/share/locale/ja_JP.eucJP ]; then
      rm /usr/share/locale/ja_JP.eucJP
   fi
   if [ -L /usr/share/locale/ja_JP.EUC ]; then
      rm /usr/share/locale/ja_JP.EUC
   fi
fi

%files -n locales-ja
/usr/share/locale/ja*

### kl
%package -n locales-kl
Summary: Base files for localization (Greenlandic)
Group: Base
Icon: bulle-kl.xpm

%description -n locales-kl
These are the base files for Greenlandic language localization; you need
it to correctly display 8bits Greenlandic characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Grenlandic language conventions.

%post -n locales-kl
if grep kl_GL /usr/X11R6/lib/X11/locale/locale.alias ; then : ; else
   echo -e "kl\t\t\tkl_GL.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.alias
   echo -e "kl_GL\t\t\tkl_GL.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.alias
fi
if grep kl_GL /usr/X11R6/lib/X11/locale/locale.dir ; then : ; else
   echo -e "iso8859-1/XLC_LOCALE\tkl_GL.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.dir
fi
if grep kl_GL /usr/X11R6/lib/X11/locale/compose.dir ; then : ; else
   echo -e "iso8859-1/Compose\tkl_GL.ISO8859-1" >> /usr/X11R6/lib/X11/locale/compose.dir
fi

%files -n locales-kl
/usr/share/locale/kl*

### lo
%package -n locales-lo
Summary: Base files for localization (Laotian) [INCOMPLETE]
Group: Base
Icon: bulle-lo.xpm

%description -n locales-lo
These are the base files for Laotian language localization; you need
it to correctly display 8bits lao characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Laotian language conventions.
[THIS IS REALLY INCOMPLETE; OTHER THAN LC_CTYPE THE REST IS STILL
TO BE WRITTEN; ANYONE WANTING TO HELP ?
-- PABLO (srtxg@chanae.alphanet.ch)]

%files -n locales-lo
# not just lo* because of locale.alias
/usr/share/locale/lo
/usr/share/locale/lo_*

### lt
%package -n locales-lt
Summary: Base files for localization (Lithuanian)
Group: Base
Icon: bulle-lt.xpm

%description -n locales-lt
These are the base files for Lithuanian language localization; you need
it to correctly display 8bits Lithuanian characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Lithuanian language conventions.

%post -n locales-lt
if grep lt_LN.ISO8859-4 /usr/X11R6/lib/X11/locale/locale.alias ; then : ; else
   echo -e "lt\t\t\tlt_LN.ISO8859-4" >> /usr/X11R6/lib/X11/locale/locale.alias
   echo -e "lt_LN\t\t\tlt_LN.ISO8859-4" >> /usr/X11R6/lib/X11/locale/locale.alias
fi
if grep lt_LN.ISO8859-4 /usr/X11R6/lib/X11/locale/locale.dir ; then : ; else
   echo -e "iso8859-4/XLC_LOCALE\tlt_LN.ISO8859-4" >> /usr/X11R6/lib/X11/locale/locale.dir
fi
if grep lt_LN.ISO8859-4 /usr/X11R6/lib/X11/locale/compose.dir ; then : ; else
   echo -e "iso8859-4/Compose\tlt_LN.ISO8859-4" >> /usr/X11R6/lib/X11/locale/compose.dir
fi

%files -n locales-lt
/usr/share/locale/lt*

### lv
%package -n locales-lv
Summary: Base files for localization (Latvian)
Group: Base
Icon: bulle-lv.xpm

%description -n locales-lv
These are the base files for Latvian language localization; you need
it to correctly display 8bits Latvian characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Latvian language conventions.

%post -n locales-lv
if grep lv_LV /usr/X11R6/lib/X11/locale/locale.alias ; then : ; else
   echo -e "lv\t\t\tlv_LV.ISO8859-4" >> /usr/X11R6/lib/X11/locale/locale.alias
   echo -e "lv_LV\t\t\tlv_LV.ISO8859-4" >> /usr/X11R6/lib/X11/locale/locale.alias
fi
if grep lv_LV /usr/X11R6/lib/X11/locale/locale.dir ; then : ; else
   echo -e "iso8859-4/XLC_LOCALE\tlv_LV.ISO8859-4" >> /usr/X11R6/lib/X11/locale/locale.dir
fi
if grep lv_LV /usr/X11R6/lib/X11/locale/compose.dir ; then : ; else
   echo -e "iso8859-4/Compose\tlv_LV.ISO8859-4" >> /usr/X11R6/lib/X11/locale/compose.dir
fi

%files -n locales-lv
/usr/share/locale/lv*

### nl
%package -n locales-nl
Summary: Base files for localization (Dutch)
Group: Base
Icon: bulle-nl.xpm
Summary(fr): Fichiers de base pour la localisation en langue nerlandaise

%description -n locales-nl
These are the base files for Dutch language localization; you need
it to correctly display 8bits Dutch characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Dutch language conventions.

%description -n locales-nl -l fr
Ce paquet contient les dfinitions de locales en langue nerlandaise.
Il permet aux applications de savoir quels caractres sont affichables et
donc afficher correctemment les caractres accentus et l'ordre alphabetique;
il contient aussi les definitions des representations des dates des nombres.

%files -n locales-nl
/usr/share/locale/nl*

### no
%package -n locales-no
Summary: Base files for localization (Norwegian)
Group: Base
Icon: bulle-no.xpm

%description -n locales-no
These are the base files for Norwegian language localization; you need
it to correctly display 8bits Norwegian characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Norwegian language conventions.

%files -n locales-no
/usr/share/locale/no*

### pl
# translation from piotr pogorzelski <pp@pietrek.priv.pl>
%package -n locales-pl
Summary: Base files for localization (Polish)
Group: Base
Icon: bulle-pl.xpm
Summary(pl): Podstawowe pliki dla polskiej lokalizacji

%description -n locales-pl
These are the base files for Polish language localization; you need
it to correctly display 8bits Polish characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Polish language conventions.

%description -n locales-pl -l pl
Pliki do lokalizacji systemu dla jezyka polskiego; niezbedne do
poprawnego wyswietlania 8-mio bitowych polskich znakow diaktrycznych,
sortowania, prezentowania dat i liczb zgodnie z regulami jezyka polskiego.


%files -n locales-pl
/usr/share/locale/pl*

### pt
%package -n locales-pt
Summary: Base files for localization (Portuguese)
Group: Base
Icon: bulle-pt.xpm

%description -n locales-pt
These are the base files for Portuguese language localization; you need
it to correctly display 8bits Portuguese characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Portuguese language conventions.

%post -n locales-pt
# rpm uses pt-br instead of pt_BR
if [ -d /usr/share/locale/pt-br ]
then
   if [ ! -L /usr/share/locale/pt-br ]
   then 
	mv /usr/share/locale/pt-br /usr/share/locale/pt-br.tmp
	ln -s pt_BR /usr/share/locale/pt-br
	mv /usr/share/locale/pt-br.tmp/LC_MESSAGES/* /usr/share/locale/pt_BR/LC_MESSAGES/
	rm -r /usr/share/locale/pt-br.tmp
	ln -s pt_BR pt-br
   fi
else
	ln -s pt_BR /usr/share/locale/pt-br
fi

%postun -n locales-pt
if [ "$1" = "0" ]; then
   if [ -L /usr/share/locale/pt-br ]; then
      rm /usr/share/locale/pt-br
   fi
fi

%files -n locales-pt
/usr/share/locale/pt*

### ro
%package -n locales-ro
Summary: Base files for localization (Romanian)
Group: Base
Icon: bulle-ro.xpm

%description -n locales-ro
These are the base files for Romanian language localization; you need
it to correctly display 8bits Romanian characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Romanian language conventions.

%files -n locales-ro
/usr/share/locale/ro*

### ru
%package -n locales-ru
Summary: Base files for localization (Russian)
Group: Base
Icon: bulle-ru.xpm

%description -n locales-ru
These are the base files for Russian language localization; you need
it to correctly display 8bits cyrillic characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Russian language conventions.

%files -n locales-ru
/usr/share/locale/ru*

### sl
# Translations from Roman Maurer <roman.maurer@fmf.uni-lj.si>
%package -n locales-sl
Summary: Base files for localization (Slovenian)
Summary(sl): Osnovne datoteke za lokalizacijo (slovenina)
Group: Base
Icon: bulle-sl.xpm

%description -n locales-sl
These are the base files for Slovenian language localization; you need
it to correctly display 8bits Slovenian characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Slovenian language conventions.

%description -n locales-sl -l sl
To so osnovne datoteke za lokalizacijo Linuxa na slovenski
jezik; potrebujete jih za pravilni prikaz 8-bitnih
slovenskih znakov in za pravilno urejanje po abecedi ter
predstavitev datumov in tevilk glede na pravila
slovenskega jezika.

%files -n locales-sl
/usr/share/locale/sl*

### sk
%package -n locales-sk
Summary: Base files for localization (Slovak)
Group: Base
Icon: bulle-sk.xpm

%description -n locales-sk
These are the base files for Slovak language localization; you need
it to correctly display 8bits Slovak characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Slovak language conventions.

%files -n locales-sk
/usr/share/locale/sk*

### sv
%package -n locales-sv
Summary: Base files for localization (Swedish)
Group: Base
Icon: bulle-sv.xpm

%description -n locales-sv
These are the base files for Swedish language localization; you need
it to correctly display 8bits Swedish characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Swedish language conventions.

%files -n locales-sv
/usr/share/locale/sv*

### th
%package -n locales-sr
Summary: Base files for localization (Serbian)
Group: Base
Icon: bulle-sr.xpm

%description -n locales-sr
These are the base files for Serbian language localization; you need
it to correctly display 8bits cyrillic characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Serbian language conventions.

%files -n locales-sr
/usr/share/locale/sr*

### th
%package -n locales-th
Summary: Base files for localization (Thai) [INCOMPLETE]
Group: Base
Icon: bulle-th.xpm

%description -n locales-th
These are the base files for Thai language localization; you need
it to correctly display 8bits Thai characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Thai language conventions.
[ALPHABETICAL ORDER FOR THAI LETTERS IS STILL WRONG; I'VE PROBLEMS
TO MAKE LIBC UNDERSTAND HOW MUST WORK "PRECEDING VOWELS".
-- PABLO (srtxg@chanae.alphanet.ch)]

%files -n locales-th
/usr/share/locale/th*
/usr/X11R6/lib/X11/th

### tr
# translation from Gorkem Cetin <e077245@narwhal.cc.metu.edu.tr>
%package -n locales-tr
Summary: Base files for localization (Turkish)
Group: Base
Icon: bulle-tr.xpm
Summary(tr): Yerelletirme iin temel dosyalar (Trke)

%description -n locales-tr
These are the base files for Turkish language localization; you need
it to correctly display 8bits Turkish characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Turkish language conventions.

%description -n locales-tr -l tr
Bu dosyalar, Trke yerelletirmesi iin gerekli temel bileenleri ierir.
8bit trke karakterleri grmek, Trk diline uygun olarak alfabe, tarih ve
say gsterimlerini ve sralamalarn yapabilmek iin bu dosyalara
ihtiyacnz vardr.

%files -n locales-tr
/usr/share/locale/tr*

### vi
# translations by <DaiQuy.nguyen@ulg.ac.be>
%package -n locales-vi
Summary: Base files for localization (Vietnamese)
Group: Base
Icon: bulle-vi.xpm
Summary(vi): Cc file c s cho nh v ting Vit 
Summary(vi_VN.VISQR): Ca'c file co+ co+? cho ddi.nh vi. tie^'ng Vie^.t
Summary(vi_VN.VISCII): Cc file c s cho nh v ting Vit
Summary(vi_VN.TCVN): Cc file c s cho nh v ting Vit

%description -n locales-vi
These are the base files for Vietnamese language localization; you need
it to correctly display 8bits Vietnamese characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Vietnamese language conventions.

%description -n locales-vi -l vi
y l cc file c s cho ting Vit.
Bn cn nhng file ny  c th
biu din chnh xc cc k t ting Vit 8 bits,
 sp xp v trnh by ngy thng v s
mt cch chnh xc theo ng qui c ngn ng ting Vit.

%description -n locales-vi -l vi_VN.VISQR
DDa^y la` ca'c file co+ so+? cho tie^'ng Vie^.t.
Ba.n ca^`n nhu+~ng file na`y dde^? co' the^? bie^?u
die^~n chi'nh xa'c ca'c ki' tu+. tie^'ng Vie^.t 8 bits,
dde^? sa('p xe^'p va` tri`nh ba`y nga`y tha'ng va`
so^' mo^.t ca'ch chi'nh xa'c theo ddu'ng qui u+o+'c
ngo^n ngu+~ tie^'ng Vie^.t.

%description -n locales-vi -l vi_VN.VISCII
y l cc file c s cho ting Vit.
Bn cn nhng file ny  c th
biu din chnh xc cc k t ting Vit 8 bits,
 sp xp v trnh by ngy thng v s
mt cch chnh xc theo ng qui ߾c ngn ng ting Vit.

%description -n locales-vi -l vi_VN.TCVN
y l cc file c s cho ting Vit.
Bn cn nhng file ny  c th
biu din chnh xc cc k t ting Vit 8 bits,
 sp xp v trnh by ngy thng v s
mt cch chnh xc theo ng qui c ngn ng ting Vit.

#%post -n locales-vi
#if grep vi_VN /usr/X11R6/lib/X11/locale/locale.alias ; then : ; else
#   echo -e "vi\t\t\tvi_VN.TCVN" >> /usr/X11R6/lib/X11/locale/locale.alias
#   echo -e "vi_VN\t\t\tvi_VN.TCVN" >> /usr/X11R6/lib/X11/locale/locale.alias
#fi
#if grep vi_VN /usr/X11R6/lib/X11/locale/locale.dir ; then : ; else
#   echo -e "vi_VN/XLC_LOCALE\tvi_VN.TCVN" >> /usr/X11R6/lib/X11/locale/locale.dir
#fi
#if grep vi_VN /usr/X11R6/lib/X11/locale/compose.dir ; then : ; else
#   echo -e "vi_VN/Compose\t\tvi_VN.TCVN" >> /usr/X11R6/lib/X11/locale/compose.dir
#fi

%files -n locales-vi
/usr/share/locale/vi*
#/usr/X11R6/lib/X11/locale/vi*

### wa
# translations from Lorint Hendschel <LorintHendschel@skynet.be>
%package -n locales-wa
Summary: Base files for localization (Walloon)
Group: Base
Icon: bulle-wa.xpm
Summary(wa): Maisses fitchis pol lingdje walon
Summary(fr): Fichiers de base pour la localisation en langue wallonne

%description -n locales-wa
These are the base files for Walloon language localization; you need
it to correctly display 8bits Walloon characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Walloon language conventions.

%description -n locales-wa -l wa
Vochal les maisses fitchis pol lingdje walon. Vos nd avoz dandji po
hgner les caracteres walons ecds so ht bits, po l' arindjmint
alfabetike eyet po rprezinter les dates eyet les nombes  walon.

%description -n locales-wa -l fr
Ce paquet contient les dfinitions de locales en langue walone.
Il permet aux applications de savoir quels caractres sont affichables et
donc afficher correctemment les caractres accentus et l'ordre alphabetique;
il contient aussi les definitions des representations des dates et des nombres.

%post -n locales-wa
if grep wa_BE /usr/X11R6/lib/X11/locale/locale.alias ; then : ; else
   echo -e "wa\t\t\twa_BE.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.alias
   echo -e "wa_BE\t\t\twa_BE.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.alias
fi
if grep eu_BE /usr/X11R6/lib/X11/locale/locale.dir ; then : ; else
   echo -e "iso8859-1/XLC_LOCALE\twa_BE.ISO8859-1" >> /usr/X11R6/lib/X11/locale/locale.dir
fi
if grep wa_BE /usr/X11R6/lib/X11/locale/compose.dir ; then : ; else
   echo -e "iso8859-1/Compose\twa_BE.ISO8859-1" >> /usr/X11R6/lib/X11/locale/compose.dir
fi

%files -n locales-wa
/usr/share/locale/wa*

### zh
# translation (zh_TW) from <informer@linux1.cgu.edu.tw>
%package -n locales-zh
Summary: Base files for localization (Chinese)
Group: Base
Icon: bulle-zh.xpm
Summary(zh_TW): aƪɮ

%description -n locales-zh
These are the base files for Chinese language localization; you need
it to correctly display 8bits and 7bits chinese codes, and for proper
representation of dates and numbers according to chinese language conventions.
Set the LANG variable to "zh_CN" to use simplified chinese (GuoBiao encoding)
or to "zh_TW" to use traditional characters (Big5 encoding)

%description -n locales-zh -l zh_TW
ɥ]tFa(localization)ɮ; Aݭnoɮפ~ॿT
ܤ媺CNܼ "LANG" ]w "zh_CN" iH²餤(
X),]w "zh_TW" hic餤(jX)C 

%files -n locales-zh
/usr/share/locale/zh*

